# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Retrieve account information In this tutorial, you will learn how to use the AIS (Account Information Service) to retrieve account information for several common use cases. By the end of this tutorial, you will know how to: - Retrieve account information for your chosen use case. - Interpret account information payload successful response. > We use different names for different regions. In the U.S., we call them Account Information. In the U.K./EU, we call them Account Information Reports. > ## Regional capabilities The table below shows which account information types you can retrieve for each supported region: **Regional Capabilities** | Countries | Account details | Party details | Balance check | Transaction history | | --- | --- | --- | --- | --- | | U.S. | ✔ | ✔ | ✔ | | | U.K. | ✔ | ✔ | ✔ | ✔ | | EU | ✔ | ✔ | ✔ | ✔ | ## Send a request Once you receive a successful consent response, you can proceed to retrieve the consented account information. In this step, you’ll learn how to retrieve account information authorized by your customers. > You can retrieve account information only if you requested it and your customer authorized it. > ## Retrieve Account Information (U.S.) Use Account Information API to collect consented account data from customers and reduce return errors. The following example shows the minimum required fields for account information retrieval in the United States: ```curl curl --request GET \ --url https://api-mock.payments.jpmorgan.com/paybybank/v2/account-information \ --header 'Accept: application/json' \ --header 'Client-Id: ' \ --header 'Consent-Id: ba28d866eeae4657a7e59156534159a8' \ --header 'Request-Id: ' ``` ```json { "accounts": [ { "accountId": "61d0ed13639143bc9fd47dc0a782912f", "account": { "accountIdentifiers": { "accountIdType": "USABA", "accountNumber": "45789123456789", "routingNumber": "6013140", "maskedAccountNumber": "XXXXX6789", "tokenizedAccountNumber": "98745632564" }, "financialInstitution": { "name": "Chase Bank", "logoUrl": "https://www.chase.com/logo.png" }, "accountType": "SAVINGS", "currencyCode": "USD", "name": "John's account", "segment": "PERSONAL", "status": "ACTIVE" }, "parties": [ { "identity": { "name": "John Doe", "addresses": [ { "addressType": "RESIDENTIAL", "addressLines": [ "Street 123" ], "city": "Omaha", "country": "US", "postalCode": "78497" } ], "emails": [ { "isPrimary": true, "emailAddress": "JPMCUser1234@chase.us.com" } ], "phones": [ { "phoneNumber": "+1-7477811780", "phoneNumberType": "MOBILE" } ] }, "role": "PRIMARY", "verificationStatus": "VERIFIED" } ], "balances": [ { "value": { "amount": "450.00", "currency": "USD" }, "balanceType": "BOOKED_BALANCE", "lastRefreshedAt": "2025-03-11T14:00:00Z" }, { "value": { "amount": "700.00", "currency": "USD" }, "balanceType": "AVAILABLE_BALANCE", "lastRefreshedAt": "2025-03-11T14:00:00Z" } ] } ] } ``` ## Retrieve Balance Information (U.S.) Use an Account Information Services (AIS) API to collect account balance data from customers and reduce insufficient fund errors. The following example shows the minimum required fields for retrieving account information in the United States: > You can also use this method to selectively retrieve specific account details. > ```curl curl --request GET \ --url https://api-mock.payments.jpmorgan.com/paybybank/v2/account-information \ --header 'Accept: application/json' \ --header 'Client-Id: ' \ --header 'Consent-Id: e607ba0dc4534647b72bbff1e8ff4442' \ --header 'Request-Id: ' ``` ```json { "accounts": [ { "accountId": "61d0ed13639143bc9fd47dc0a782912f", "balances": [ { "value": { "amount": "450.00", "currency": "USD" }, "balanceType": "BOOKED_BALANCE" }, { "value": { "amount": "700.00", "currency": "USD" }, "balanceType": "AVAILABLE_BALANCE" } ] } ] } ``` ## Retrieve Account Information Reports (U.K. / EU) Collect one-time reports on customer account information to support with customer onboarding, validation and subscription initiation. The following example shows the minimum required fields for report retrieval in the United Kingdom: > You can also use this method to retrieve account balance and transaction history. See [API reference](/api/treasury/pay-by-bank/ais) for details. > ```curl curl --request GET \ --url https://api-mock.payments.jpmorgan.com/paybybank/v2/accounts \ --header 'Accept: application/json' \ --header 'Client-Id: ' \ --header 'Consent-Id: ba28d866eeae4657a7e59156534159a8' \ --header 'Request-Id: ' ``` ```json { "accounts": [ { "accountId": "61d0ed13639143bc9fd47dc0a782912f", "account": { "accountIdentifiers": { "accountIdType": "SORT_CODE", "sortCode": "090129", "accountNumber": "10126789" }, "financialInstitution": { "name": "Chase Bank", "logoUrl": "https://www.chase.com/logo.png" }, "accountType": "SAVINGS", "currencyCode": "GBP", "name": "John's account", "segment": "PERSONAL", "status": "ACTIVE" }, "parties": [ { "identity": { "name": "John Doe", "addresses": [ { "addressType": "RESIDENTIAL", "addressLines": [ "49 Featherstone Street" ], "city": "London", "postalCode": "EC1Y8SY", "country": "GB" } ], "emails": [ { "isPrimary": true, "emailAddressType": "OTHER", "emailAddress": "JPMCUser1234@chase.uk.com" } ], "phones": [ { "phoneNumber": "+44-02071234567", "phoneNumberType": "MOBILE" } ] }, "role": "PRIMARY", "verificationStatus": "VERIFIED", "dateOfBirth": "1996-08-24" } ] } ] } ```